Bug 169789 - Review Request: tiobench
Review Request: tiobench
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dmitry Butskoy
David Lawrence
http://www.leemhuis.info/files/fedora...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-03 12:44 EDT by Thorsten Leemhuis
Modified: 2010-11-11 10:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-14 12:16:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
suggestions for spec file (1.26 KB, patch)
2005-10-14 10:22 EDT, Dmitry Butskoy
no flags Details | Diff

  None (edit)
Description Thorsten Leemhuis 2005-10-03 12:44:09 EDT
Spec Name or Url:
http://www.leemhuis.info/files/fedorarpms/SPECS.fdr/tiobench.spec

SRPM Name or Url:
http://www.leemhuis.info/files/fedorarpms/SRPMS.fdr/tiobench-0.3.3-1.src.rpm

Description:
Tiobench is a portable, robust, fully-threaded file system benchmark
especially designed to test I/O performance with multiple running threads.

Notes:
The man-pages were part of the debian package. They contain the following note at the end:
"This  manual  page  was  written by Peter Palfrader <weasel@debian.org>, for the Debian GNU/Linux system (but may be used by others)."
That enough for us?
Comment 1 Michael Schwendt 2005-10-04 09:15:45 EDT
If tiobench is licenced under the GNU GPL, the Debian GNU/Linux
packages can be considered "derived work" which is put under the
terms of the GPL again, too.
Comment 2 Thorsten Leemhuis 2005-10-04 11:15:19 EDT
(In reply to comment #1)
> If tiobench is licenced under the GNU GPL,

It is.

> the Debian GNU/Linux
> packages can be considered "derived work" which is put under the
> terms of the GPL again, too.

I wasn't 100% sure in this case. Thanks for clarifying.
Comment 3 Dmitry Butskoy 2005-10-14 10:18:29 EDT
Remarks and nitpicks:
- As something is compiled, use %{?dist} in release (to separate builds for
different distros).
- Mixed macro style. As used $RPM_BUILD_ROOT, use $RPM_OPT_FLAGS, not
%{optflags} (or vice versa).
- Additional manuals (Source1,2) are copied directly. It provides correct result
now, but sometime in the future it will be possible that manuails will be
compressed as .bz2, or will not be compressed at all. Therefore it is better to
just uncompress these files and let rpm compress them later its own way.
- If the additional manuals are present somewhere separately, it is better to
specify full urls for them.
Comment 4 Dmitry Butskoy 2005-10-14 10:22:19 EDT
Created attachment 119975 [details]
suggestions for spec file

To be more clear, here is a patch for spec file with my suggestions.
Comment 5 Thorsten Leemhuis 2005-10-14 11:16:45 EDT
Dmitry, thx for reviewing

(In reply to comment #3)
> Remarks and nitpicks:
> - As something is compiled, use %{?dist} in release (to separate builds for
> different distros).
dist is still optional in fedora-extras. But I added it, I just forgot it. :)

> - Mixed macro style. 
Changed

> - Additional manuals (Source1,2)[...]let rpm compress them later its own way.
Changed, but in a different way

> - If the additional manuals are present somewhere separately, it is better to
> specify full urls for them.
Sure -- I did find a trustworthy URL (besides the debian package -- and
including that as source is IMHO overkill)

Spec Name or Url:
http://www.leemhuis.info/files/fedorarpms/SPECS.fdr/tiobench.spec

SRPM Name or Url:
http://www.leemhuis.info/files/fedorarpms/SRPMS.fdr/tiobench-0.3.3-2.src.rpm
Comment 6 Dmitry Butskoy 2005-10-14 11:42:29 EDT
BTW, "URL" field in the bugzilla ticket should be the same "URL" as in the spec
file -- i.e., it should quickly point people to the primary site of upstream.
(The full tarball's url is already in the spec file anyway).

rpmlint OK
license OK
source matches upstream
compile OK
works fine
APPROVED


Comment 7 Thorsten Leemhuis 2005-10-14 12:16:55 EDT
(In reply to comment #6)
> BTW, "URL" field in the bugzilla ticket should be the same "URL" as in the spec
> file -- i.e., it should quickly point people to the primary site of upstream.
> (The full tarball's url is already in the spec file anyway).

Mmm, quote from
https://bugzilla.redhat.com/bugzilla/enter_bug.cgi?product=Fedora%20Extras&format=extras-review
"Help: URL the new package or [...]."

>[...]
> APPROVED

thx. imported, added to owners, branches request, build on devel succeed, FC-4
and FC-3 building
Comment 8 Dmitry Butskoy 2005-10-14 12:24:12 EDT
> Mmm, quote from
> .....
> "Help: URL the new package or [...]."

Yes, but SRPM and SPEC urls usually specified in the initial comment. Therefore
people began to specify link to upstream here.
Comment 9 Thorsten Leemhuis 2005-10-14 12:40:45 EDT
(In reply to comment #8)
> > Mmm, quote from
> > .....
> > "Help: URL the new package or [...]."
> 
> Yes, but SRPM and SPEC urls usually specified in the initial comment. Therefore
> people began to specify link to upstream here.

That's more than okay for me, but then IMHO someone (hint) should file a bug
against bugzilla to get that comment changed ;)
Comment 10 Rafael Aquini 2010-11-10 20:25:01 EST
Package Change Request
======================
Package Name: tiobench
New Branches: el4 f-13 f-14
Owners: orphan

I mistakenly retired this package from that collections while trying to add myself to them. Please, I'd like to have that branches reassigned to me.

Best regards
Comment 11 Jason Tibbitts 2010-11-11 10:47:18 EST
I can't work out what you are requesting for us to do.

The three new branches you are requesting already exist, and we wouldn't make "orphan" the owner of a new branch anyway.

If you want to take ownership of branches, log into pkgdb and take ownership of them.
Comment 12 Toshio Ernie Kuratomi 2010-11-11 10:54:57 EST
Figred out that the branches were Retired.  Fixed.

Note You need to log in before you can comment on or make changes to this bug.